/*!
 * @file collision_reaction.h
 *  Definition of a generic collision reaction
 */

#ifndef _COLLISION_REACTION_H
#define _COLLISION_REACTION_H

#include "base_object.h"



class Collision;

//! A class representing a simple collision
class CollisionReaction : public BaseObject
{

  public:
    CollisionReaction();
    virtual ~CollisionReaction();

    virtual void reactToCollision(Collision* collision) = 0;

  private:

};

#endif /* _COLLISION_REACTION_H */
