/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Patrick Boenzli
   co-programmer: ...
*/

#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_COLLISION_REACTION

#include "collision.h"

#include "cr_object_damage.h"


using namespace std;


/**
 *  standard constructor
 */
CRObjectDamage::CRObjectDamage ()
  : CollisionReaction()
{
  this->setClassID(CL_CR_OBJECT_DAMAGE, "CRObjectDamage");

}


/**
 *  standard deconstructor
 */
CRObjectDamage::~CRObjectDamage ()
{
}


/**
 * caluculates and applys the reaction to a specific collision
 *  @param collision the collision
 */
void CRObjectDamage::reactToCollision(Collision* collision)
{

  const std::vector<CollisionEvent*>* v = &collision->getCollisionEvents();
  const std::vector<CollisionEvent*>::const_iterator it = v->begin();
  for(; it < v->end(); it++)
  {
    // go through the collisions and try to estimate the damage

  }

}

